import type { ReCaptchaContextProps } from "./ReCaptchaProvider";
export interface useReCaptchaProps extends ReCaptchaContextProps {
    executeRecaptcha: (action: string) => Promise<string>;
}
/** React Hook to generate ReCaptcha token
 * @example
 * const { executeRecaptcha } = useReCaptcha()
 */
declare const useReCaptcha: (reCaptchaKey?: string) => useReCaptchaProps;
export { useReCaptcha };
